Bug 677692 - tk-8.5.9-2.fc15 built without Xft (due to linker changes)
Summary: tk-8.5.9-2.fc15 built without Xft (due to linker changes)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tk
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-15 15:53 UTC by Dan Winship
Modified: 2011-03-03 02:53 UTC (History)
1 user (show)

Fixed In Version: tk-8.5.9-3.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-03 02:53:27 UTC
Type: ---


Attachments (Terms of Use)

Description Dan Winship 2011-02-15 15:53:00 UTC
The changes to binutils in rawhide break detection of Xft in tk:

    checking whether to use xft... yes
    checking for X11/Xft/Xft.h... yes
    checking for FT_New_Face in -lXft... no

config.log:

    configure:8315: checking for FT_New_Face in -lXft
    configure:8340: gcc -o conftest -g -pipe  -I/usr/include/freetype2     -Wl,--export-dynamic  conftest.c -lXft   -lXft   -lX11 >&5
    /usr/bin/ld: /tmp/ccCNLRGl.o: undefined reference to symbol 'FT_New_Face'
    /usr/bin/ld: note: 'FT_New_Face' is defined in DSO /usr/lib64/libfreetype.so.6 so try adding it to the linker command line

A simple fix for our package would be to just patch out the "make sure that linking against Xft libraries finds freetype" check, but I'm not sure that's correct for upstream.

Comment 1 Jaroslav Škarvada 2011-02-17 12:55:00 UTC
Thanks for pointing this out.

Comment 2 Jaroslav Škarvada 2011-02-17 13:13:29 UTC
Upstream bugzilla:
http://sourceforge.net/tracker/?func=detail&aid=3184834&group_id=12997&atid=112997

Comment 3 Fedora Update System 2011-02-17 13:33:01 UTC
tk-8.5.9-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/tk-8.5.9-3.fc15

Comment 4 Fedora Update System 2011-02-17 22:23:55 UTC
tk-8.5.9-3.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tk'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/tk-8.5.9-3.fc15

Comment 5 Fedora Update System 2011-03-03 02:53:20 UTC
tk-8.5.9-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.